<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>ChangeState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#a0c2d2187296c29983a4583e98597637a">gg::GameEngine</a></li>
<li>CurrentState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#af2fd746ff3c3426861968289d2ac9bb0">gg::GameEngine</a></li>
<li>Destroy()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#a080186cb7aba33d72ffe3591dc076742">gg::GameEngine</a></li>
<li>Init()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#a674fec65e7cc736d53b80a62149ccb5a">gg::GameEngine</a></li>
<li>PopState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#aabd0a746f0479397458cb025c2b7207d">gg::GameEngine</a></li>
<li>PreviousState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#afa9e36edde0d2dc1f47da6f3ec970468">gg::GameEngine</a></li>
<li>PushState()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#a5876ec21d7676e824973beae3101ed3b">gg::GameEngine</a></li>
<li>Render()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#acc0e937275f5dd88fcd5a45e42e058a5">gg::GameEngine</a></li>
<li>Update()&#160;:&#160;<a class="el" href="classgg_1_1GameEngine.html#ad88dee00a8684a67020f53e57fa2d126">gg::GameEngine</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
